Play Haptic Stream
curl --request POST \
--url https://api.getmelody.io/device/hps/play \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Device-Key: <x-device-key>' \
--data '{
"loop": false
}'import requests
url = "https://api.getmelody.io/device/hps/play"
payload = { "loop": False }
headers = {
"X-Device-Key": "<x-device-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Device-Key': '<x-device-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({loop: false})
};
fetch('https://api.getmelody.io/device/hps/play', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Haptic Points Stream
Play Haptic Stream
Play Haptic Stream
POST
/
device
/
hps
/
play
Play Haptic Stream
Authorizations
Short-lived session token obtained from POST /api/sessions/v2.
Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.
Headers
Device Key (4 BIP39 words) identifying the target device.
Obtain it from POST /device/otp/confirm/v2.
Pattern:
^[a-z]+-[a-z]+-[a-z]+-[a-z]+$Example:
"alpha-bravo-charlie-delta"
Body
application/json
Flag for looping the script
Example:
false
Response
200
OK
⌘I